package adresar3;

/**
 * Výčet položek menu aplikace pro zpracování transakcí.
 */
public enum MenuOption {
	// konstanty výčtového typu
	PRINT(1, "Vypsat všechny záznamy"),
	SURNAME(2, "Vypsat záznamy dle příjmení"),
	FIND(3, "Vypsat záznamy dle řetězce"),
	END(4, "Konec programu");

	/**
	 * Číslo položky menu.
	 */
	private final int value;

	/**
	 * Text položky menu.
	 */
	private final String title;

	/**
	 * Vytvoří novou položku menu.
	 * 
	 * @param valueOption
	 *            číslo položky.
	 * @param titleOption
	 *            text položky.
	 */
	private MenuOption(int valueOption, String titleOption) {
		value = valueOption;
		title = titleOption;
	}

	/**
	 * Vrátí číslo položky menu.
	 * 
	 * @return číslo položky.
	 */
	public int getValue() {
		return value;
	}

	/**
	 * Vrátí text položky menu.
	 * 
	 * @return text položky.
	 */
	public String getTitle() {
		return title;
	}

}
